GuidesAPI Reference
Guides

Stations Bulk


The stations bulk resource retrieves a list of electric vehicle charging stations sorted by their id values. Requests for this resource use the HTTP GET method.

Request Example


The code block below shows a bulk request for charging stations using a bearer token.

GET 
https://ev-v2.cc.api.here.com/ev/stations/bulk.xml
?id={id}
-H 'Authorization: Bearer {YOUR_TOKEN}'

The code block below shows a bulk request for charging stations using an API Key.

GET
https://ev-v2.cc.api.here.com/ev/stations/bulk.xml
?id={id}&apiKey={YOUR_API_KEY};
             

The code block below shows a bulk request for charging stations by multiple station IDs using a bearer token.

GET
https://ev-v2.cc.api.here.com/ev/stations/bulk.json?id=ABC&id=XYZ
-H 'Authorization: Bearer {YOUR_TOKEN}'

The code block below shows a bulk request for charging stations by multiple station IDs using an API Key.

GET
https://ev-v2.cc.api.here.com/ev/stations/bulk.xml
?id={id}&apiKey={YOUR_API_KEY};
            

Request Parameters

The table below documents mandatory request parameters supported by this resource.

ParameterRequiredDescription
idRequiredThe id number listed in the id attribute in the evStation element.

📘

Note

id values change without notice. If the id is no longer available in the resource, a 404 Not Found status code is returned.


Response to this Request

For more information on responses to queries against the stations/bulk resource, see Stations Response.